VLCKit

Instance Methods | List of all members
<VLCMediaDelegate > Protocol Reference

`#import <VLCMedia.h>`

Inheritance diagram for <VLCMediaDelegate >:

## Instance Methods
(void) | - mediaMetaDataDidChange:
(void) | - mediaDidFinishParsing:

## Detailed Description

Informal protocol declaration for VLCMedia delegates. Allows data changes to be trapped.

## Method Documentation

## ◆ mediaDidFinishParsing:()

- (void VLCMediaDelegate) mediaDidFinishParsing: |  | (VLCMedia *) | aMedia |
| optional

Delegate method called whenever the media was parsed.

Parameters

  aMedia | The media resource whose meta data has been changed.

## ◆ mediaMetaDataDidChange:()

- (void VLCMediaDelegate) mediaMetaDataDidChange: |  | (VLCMedia *) | aMedia |
| optional

Delegate method called whenever the media's meta data was changed for whatever reason

Note
  this is called more often than mediaDidFinishParsing, so it may be less efficient

Parameters

  aMedia | The media resource whose meta data has been changed.

The documentation for this protocol was generated from the following file:

- Headers/Public/VLCMedia.h